org.eclipse.graphiti.palette

## Interface ICreationToolEntry

All Superinterfaces:
  IPaletteEntry, IToolEntry

All Known Subinterfaces:
  IConnectionCreationToolEntry, IObjectCreationToolEntry

All Known Implementing Classes:
  AbstractPaletteToolEntry, ConnectionCreationToolEntry, ObjectCreationToolEntry

    public interface ICreationToolEntry
    extends IToolEntry

The Interface ICreationToolEntry.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()` Gets the description.
`java.lang.String` `getLargeIconId()` Gets the large icon id.

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Method Detail

#### getDescription

    java.lang.String getDescription()

Gets the description.

Returns:
  the description

#### getLargeIconId

    java.lang.String getLargeIconId()

Gets the large icon id.

Returns:
  the large icon id